---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# updateCargoStatus

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Descriptiopn
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        trackingnumber
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        The tracking number of the cargo
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        newStatus
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        The status you want to update the cargo to
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        remark
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        A remark of the new status
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        remarkOnly
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        Whether or not we only update a remark.\
        If this is set to true then it will update the existing record.
      </td>
    </tr>
  </tbody>
</Table>

If a record only exists and remarkOnly parameter is not set to true, then the call will fail.

> ❗️ \*Mandatory parameters

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        success
      </td>

      <td>
        Boolean
      </td>

      <td>
        Wether or not the call has been successful
      </td>
    </tr>

    <tr>
      <td>
        trackingnumber
      </td>

      <td>
        String
      </td>

      <td>
        Same as request
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        String
      </td>

      <td>
        Same as request
      </td>
    </tr>

    <tr>
      <td>
        remark
      </td>

      <td>
        String
      </td>

      <td>
        Will appear only if success = true
      </td>
    </tr>

    <tr>
      <td>
        result
      </td>

      <td>
        String
      </td>

      <td>
        Will appear only if success = true
      </td>
    </tr>

    <tr>
      <td>
        error
      </td>

      <td>
        String
      </td>

      <td>
        Will appear only if success = false
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/updateCargoStatus": {
      "post": {
        "summary": "updateCargoStatus",
        "description": "",
        "operationId": "updatecargostatus",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "New - JSON": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "trackingnumber": "288153D7BA",
                        "newStatus": "first level",
                        "remark": "This is a remark"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"trackingnumber\": \"288153D7BA\",\n        \"status\": \"first level\",\n        \"remark\": \"This is a remark\",\n        \"result\": \"Status updated\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "trackingnumber": {
                          "type": "string",
                          "example": "288153D7BA"
                        },
                        "status": {
                          "type": "string",
                          "example": "first level"
                        },
                        "remark": {
                          "type": "string",
                          "example": "This is a remark"
                        },
                        "result": {
                          "type": "string",
                          "example": "Status updated"
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "Result": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>1</success>\n    <trackingnumber>288153D7BA</trackingnumber>\n    <status>Second Level</status>\n    <remark>This is second Remark</remark>\n    <result>Status updated</result>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "text",
              "code": "{\n    \"aerocrs\": {\n        \"parms\": {\n            \"trackingnumber\": \"288153D7BA\",\n            \"newStatus\": \"first level\",\n            \"remark\": \"This is a new remark\",\n            \"remarkOnly\": true\n        }\n    }\n}",
              "name": "Update - JSON"
            },
            {
              "language": "text",
              "code": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <parms>\n        <trackingnumber>288153D7BA</trackingnumber>\n        <newStatus>Second Level</newStatus>\n        <remark>This is second Remark</remark>\n    </parms>\n</aerocrs>",
              "name": "New - XML"
            },
            {
              "language": "text",
              "code": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <parms>\n        <trackingnumber>288153D7BA</trackingnumber>\n        <newStatus>Second Level</newStatus>\n        <remark>This is second Remark</remark>\n        <remarkOnly>true</remarkOnly>\n    </parms>\n</aerocrs>",
              "name": "Update - XML"
            }
          ],
          "samples-languages": [
            "text"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```